<nav>
  <div class="logo" routerLink="/">
    E-SHOP
  </div>
  <ul class="nav-links">
    <li>
      <a
        *ngIf="cart$ | async as cart"
        routerLink="/shopping-cart"
        routerLinkActive="active"
        matBadge="{{ cart?.totalItemsCount }}"
        matBadgeOverlap="false"
        matBadgeSize="small"
        matBadgeColor="accent"
        >Shopping Cart
      </a>
    </li>
    <ng-template #anonymousUser>
      <li class="login-link">
        <a routerLink="/login" routerLinkActive="active">Login</a>
      </li>
    </ng-template>
  </ul>
  <!-- Async pipe will automatically unsubscribe from
     this user observable when that component is destroyed -->
  <div *ngIf="appUser; else anonymousUser">
    <button class="dropdown" mat-button [matMenuTriggerFor]="menu">
      {{ appUser.name }}
    </button>
    <mat-menu #menu="matMenu">
      <button mat-menu-item routerLink="/my/orders">My Orders</button>
      <ng-container *ngIf="appUser.isAdmin">
        <button mat-menu-item routerLink="/admin/orders">Manage Orders</button>
        <button mat-menu-item routerLink="/admin/products">
          Manage Products
        </button>
      </ng-container>
      <button mat-menu-item (click)="logout()">Log Out</button>
    </mat-menu>
  </div>
</nav>
